import { _decorator, Component, Node } from 'cc';
const { ccclass, property } = _decorator;

@ccclass('btn_relife')
export class btn_relife extends Component {
    @property(Node) icon:Node = null
    @property(Node) right_node:Node = null

    public showStatus(isAdsStatus:boolean){
        if(isAdsStatus){
            this.icon.active = true
            this.right_node.active = true
        }else{
            this.icon.active = false
            this.right_node.active = false
        }
    }
}


